declare function requestIdleDetectedCallback(_callback: any): void;
declare function declareNotifierTaskSingle(_name: string): {
    isBusy: boolean;
    done: () => void;
};
declare function declareNotifierTaskMulti(_name: string, _existingBusyCount?: number): {
    isBusy: boolean;
    add: () => void;
    done: () => void;
};
declare function declarePollableTaskMulti(_name: string, _isBusyChecker: any): void;
export declare const idleDetector: {
    requestIdleDetectedCallback: typeof requestIdleDetectedCallback;
    declareNotifierTaskSingle: typeof declareNotifierTaskSingle;
    declareNotifierTaskMulti: typeof declareNotifierTaskMulti;
    declarePollableTaskMulti: typeof declarePollableTaskMulti;
};
export {};
